
#pragma once
#ifndef AI_DAMAGE_HPP
#define AI_DAMAGE_HPP

#include <Stuff\Scalar.hpp>



namespace MechWarrior4
{
	class MWObject;
};

namespace MW4AI
{
	namespace Damage
	{
		int GetArmorDamage(MechWarrior4::MWObject& mwobject, int armor_zone);
		Stuff::Scalar GetHighResArmorLevel(MechWarrior4::MWObject& mwobject, int armor_zone);

		int GetInternalDamage(MechWarrior4::MWObject& mwobject, int internal_zone);

		Stuff::Scalar GetDamageRating(MechWarrior4::MWObject& mwobject);

		bool CanRepair(MechWarrior4::MWObject& mwobject);
	};
};



#endif // AI_DAMAGE_HPP